<template>
  <div class="navbar bg-primary text-white">
    <div class="navbar-start">
      <div class="dropdown">
        <label tabindex="0" class="btn btn-ghost btn-circle">
          <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" fill="none" viewBox="0 0 24 24" stroke="currentColor">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h7" />
          </svg>
        </label>
        <ul
          tabindex="0"
          class="menu menu-compact dropdown-content mt-3 p-2 shadow bg-base-100 rounded-box w-52 text-black"
        >
          <li v-if="user.rol == 'ADMINISTRADOR'">
            <router-link to="/admin">Administración</router-link>
          </li>
          <li><router-link to="/perfil" :userInfo="user">Perfil</router-link></li>
          <li><router-link class="nav-link" to="/ingresarCurso/">Cursos</router-link></li>
          <li><a class="nav-link" href="Mensajeria">Mensajes</a></li>
          <li><a class="nav-link" href="Horario">Horarios</a></li>
          <li><a class="nav-link" href="Encuesta">Encuestas</a></li>
          <li><a href="#" @click="RedirectURL()">Tareas</a></li>
          <li><a href="#" @click="RedirectURLAsist()">Asistencia</a></li>
        </ul>
      </div>
    </div>
    <div class="navbar-center">
      <a class="btn btn-ghost normal-case text-xl" :href="'/'"><img class="h-4/5" src="../assets/logo.png" alt=""/></a>
    </div>
    <div class="navbar-end">
      <span class="pr-5">Hola, {{ user.nombre }}</span>
      <a class="btn btn-secondary" @click="logout()">Cerrar sesión</a>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
export default {
  data() {
    return {
      user: {
        nombre: localStorage.getItem('userNombre'),
        id: localStorage.getItem('userId'),
        rol: localStorage.getItem('userRol')
      },
      peticionTarea: "",
      peticionAsist:""
    }
  },
  mounted() {
    if (!localStorage.getItem('auth')) {
      alert("Primero debe iniciar sesión")
      this.$router.push('/login')
    } else if (localStorage.getItem("auth")) {
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {
          if (response.data.rol == "DOCENTE") {
            this.peticionTarea =
               "/ElegirAsignatura";
            this.peticionAsist=
              "/MainAsistenciaDocente"
          } else if (response.data.rol == "ALUMNO") {
            this.peticionTarea =
            "/ElegirAsignaturaAlumno";
            this.peticionAsist=
              "/MainAsistenciaEstudiante"
          }
          else if (response.data.rol == "APODERADO") {

            this.peticionAsist=
              "/MainAsistenciaEstudiante"
          }

        });
    }
  },
  methods: {
    logout() {
      localStorage.clear()
      this.$router.push('/login')
    },
    RedirectURL() {
      window.location = this.peticionTarea;
    },
    RedirectURLAsist() {
      window.location = this.peticionAsist;
    },
  }
}
</script>
